Bug 1429197 - UPX can not pack because LZMA support not compiled in
Summary: UPX can not pack because LZMA support not compiled in
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: upx
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-05 15:23 UTC by Ali Akcaagac
Modified: 2017-04-04 16:04 UTC (History)
1 user (show)

Fixed In Version: upx-3.93-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:04:24 UTC


Attachments (Terms of Use)

Description Ali Akcaagac 2017-03-05 15:23:29 UTC
The current version of UPX inside the F26 branch and most likely rawhide as well complains that LZMA support is not compiled inside the binary and then aborts.

-bash-4.4$ sudo upx --best --brute -qq /bin/gcc
upx: packer_c.cpp:43: static bool Packer::isValidCompressionMethod(int): Assertion `0 && "Internal error - LZMA not compiled in"' failed.
Aborted

Here a test output with the commands described above. F25 version works perfectly.

By the way 3.9.3 is out, so it would make sense updating as well...

Comment 1 Fedora Update System 2017-03-30 15:57:23 UTC
upx-3.93-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1d337603d

Comment 2 Fedora Update System 2017-03-31 16:51:41 UTC
upx-3.93-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1d337603d

Comment 3 Fedora Update System 2017-04-04 16:04:24 UTC
upx-3.93-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.